Package org.mozilla.javascript.typedarrays

## Class Conversions

- java.lang.Object
- - org.mozilla.javascript.typedarrays.Conversions

-     public class Conversions
      extends java.lang.Object

  Numeric conversions from section 7 of the ECMAScript 6 standard.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Conversions()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `toInt16​(java.lang.Object arg)` |
    `static int` | `toInt32​(java.lang.Object arg)` |
    `static int` | `toInt8​(java.lang.Object arg)` |
    `static int` | `toUint16​(java.lang.Object arg)` |
    `static long` | `toUint32​(java.lang.Object arg)` |
    `static int` | `toUint8​(java.lang.Object arg)` |
    `static int` | `toUint8Clamp​(java.lang.Object arg)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Conversions

          public Conversions()

  - ### Method Detail

    - #### toInt8

          public static int toInt8​(java.lang.Object arg)

    - #### toUint8

          public static int toUint8​(java.lang.Object arg)

    - #### toUint8Clamp

          public static int toUint8Clamp​(java.lang.Object arg)

    - #### toInt16

          public static int toInt16​(java.lang.Object arg)

    - #### toUint16

          public static int toUint16​(java.lang.Object arg)

    - #### toInt32

          public static int toInt32​(java.lang.Object arg)

    - #### toUint32

          public static long toUint32​(java.lang.Object arg)